cURL
curl --request GET \ --url https://gateway.varchev.com/ipg/payment/payments/{paymentId}/status-by-payment-id \ --header 'Authorization: Bearer <token>' \ --header 'organizationId: <organizationid>'
{ "data": { "result": { "code": 123, "description": "<string>" }, "paymentId": "<string>", "timestamp": "<string>", "paymentBrand": "<string>", "paymentMode": "<string>", "firstName": "<string>", "lastName": "<string>", "amount": "<string>", "descriptor": "<string>", "currency": "<string>", "card": { "bin": "<string>", "last4Digits": "<string>", "holder": "<string>", "expiryMonth": "<string>", "expiryYear": "<string>" }, "transactionStatus": "<string>", "merchantTransactionId": "<string>", "remark": "<string>", "status": { "detail": "<string>" } } }
Documentation IndexFetch the complete documentation index at: https://docs.varchev.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Success
Show child attributes